---
title: HTMLLinkElement.referrerPolicy
slug: Web/API/HTMLLinkElement/referrerPolicy
tags:
  - API
  - Experimental
  - HTMLLInkElement
  - Property
  - Reference
---
<div>{{APIRef}}{{SeeCompatTable}}</div>

<p>The <code><strong>HTMLLinkElement</strong></code><strong><code>.referrerPolicy</code></strong> property reflect the HTML {{htmlattrxref("referrerpolicy","link")}} attribute of the {{HTMLElement("link")}} element defining which referrer is sent when fetching the resource.</p>

<p>See the HTTP {{HTTPHeader("Referrer-Policy")}} header for details.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">DOMString HTMLLinkElement.referrerPolicy</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js;">var links = document.getElementsByTagName("link");
links[0].referrerPolicy; // "no-referrer"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Referrer Policy', '#referrer-policy-delivery-referrer-attribute', 'referrerPolicy attribute')}}</td>
   <td>{{Spec2('Referrer Policy')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLLinkElement.referrerPolicy")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>HTTP header {{HTTPHeader("Referrer-Policy")}}</li>
 <li>{{domxref("HTMLAnchorElement.referrerPolicy")}}</li>
 <li>{{domxref("HTMLAreaElement.referrerPolicy")}}</li>
 <li>{{domxref("HTMLIFrameElement.referrerPolicy")}}</li>
 <li>{{domxref("HTMLImageElement.referrerPolicy")}}</li>
</ul>
